%define with_maven 1
Name:          ws-commons-axiom
Version:       1.2.8
Release:       %mkrel 1
Summary:       AXIOM XML infoset model for Apache Axis2
Group:         Development/Java
License:       ASL 2.0
Url:           http://ws.apache.org/commons/axiom/
# svn export https://svn.apache.org/repos/asf/webservices/commons/tags/axiom/1.2.8 ws-commons-axiom-1.2.8
# tar czf ws-commons-axiom-1.2.8-src-svn.tar.gz ws-commons-axiom-1.2.8
Source0:       ws-commons-axiom-1.2.8-src-svn.tar.gz
# ant build scripts
Source1:       ws-commons-axiom-1.2.8-autogeneratedfiles.tar.gz
# axiom-integration req crimson >= 1.1.3
Patch0:        ws-commons-axiom-1.2.8-integration_no_crimson.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-logging
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: dom4j
BuildRequires: geronimo-jaf-1_1-api
BuildRequires: geronimo-javamail-1_4-api
BuildRequires: geronimo-stax-1.0-api
BuildRequires: glassfish-jaxb
BuildRequires: javamail
BuildRequires: jaxen >= 1.1.2-1.3
BuildRequires: jdom
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: saxon8
BuildRequires: saxon8-dom
BuildRequires: wstx
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis >= 1.4.01-6
BuildRequires: xmlbeans
BuildRequires: xmlunit
BuildRequires: xom >= 1.2.1-0
%if !%with_maven
BuildRequires: ant
BuildRequires: bea-stax-api
BuildRequires: glassfish-jaf
BuildRequires: glassfish-jaxb-api
BuildRequires: hamcrest
BuildRequires: junit
%else
BuildRequires: jdepend-maven-plugin
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: xmlbeans-maven-plugin
BuildRequires: maven-ant-plugin
#BuildRequires: ws-commons-axiom == %{version}
%endif

Requires:      apache-commons-logging
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      dom4j
Requires:      geronimo-jaf-1_1-api
Requires:      geronimo-javamail-1_4-api
Requires:      geronimo-stax-1.0-api
Requires:      glassfish-jaxb
Requires:      javamail
Requires:      jaxen >= 1.1.2-1.3
Requires:      jdom
Requires:      liblog4j-java
Requires:      saxon8-dom
Requires:      wstx
Requires:      xalan-j2
Requires:      xerces-j2
Requires:      xml-commons-apis >= 1.4.01-6
Requires:      xmlbeans
Requires:      xmlunit
Requires:      xom >= 1.2.1-0

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML infoset model that is initialy developed for
Apache Axis2.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

rm -f src/site/xdoc/download.*
%{__perl} -pi -e 's/\r$//g' LICENSE.txt NOTICE.txt README.txt RELEASE-NOTE.txt

%if !%with_maven
  tar -xf %SOURCE1
%endif

%build

%if !%with_maven
# TODO
%else
  export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
  mkdir -p $MAVEN_REPO_LOCAL
  mkdir -p $MAVEN_REPO_LOCAL/org/apache/ws/commons/axiom/axiom/%{version}
  cp -pr pom.xml $MAVEN_REPO_LOCAL/org/apache/ws/commons/axiom/axiom/%{version}/axiom-%{version}.pom

  mvn-rpmbuild \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.failure.ignore=true \
    ant:ant install javadoc:aggregate
%endif

mkdir tmp
pushd tmp
  %{jar} xf ../modules/axiom-api/target/axiom-api-%{version}.jar
  %{jar} xf ../modules/axiom-c14n/target/axiom-c14n-%{version}.jar
  %{jar} xf ../modules/axiom-dom/target/axiom-dom-%{version}.jar
  %{jar} xf ../modules/axiom-impl/target/axiom-impl-%{version}.jar
  %{jar} xf ../modules/axiom-integration/target/axiom-integration-%{version}.jar
  %{jar} xf ../modules/axiom-tests/target/axiom-tests-%{version}.jar
  %{jar} cf ../target/axiom-%{version}.jar *
popd
rm -r tmp

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/axiom-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 modules/axiom-api/target/axiom-api-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}-api-tests.jar
install -pm 644 modules/axiom-api/target/axiom-api-%{version}.jar %{buildroot}%{_javadir}/%{name}-api.jar
install -pm 644 modules/axiom-c14n/target/axiom-c14n-%{version}.jar %{buildroot}%{_javadir}/%{name}-c14n.jar
install -pm 644 modules/axiom-dom/target/axiom-dom-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}-dom-tests.jar
install -pm 644 modules/axiom-dom/target/axiom-dom-%{version}.jar %{buildroot}%{_javadir}/%{name}-dom.jar
install -pm 644 modules/axiom-impl/target/axiom-impl-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}-impl-tests.jar
install -pm 644 modules/axiom-impl/target/axiom-impl-%{version}.jar %{buildroot}%{_javadir}/%{name}-impl.jar
install -pm 644 modules/axiom-integration/target/axiom-integration-%{version}.jar %{buildroot}%{_javadir}/%{name}-integration.jar
install -pm 644 modules/axiom-tests/target/axiom-tests-%{version}.jar %{buildroot}%{_javadir}/%{name}-tests.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom
install -pm 644 modules/axiom-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-api.pom
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
install -pm 644 modules/axiom-c14n/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-c14n.pom
%add_maven_depmap JPP-%{name}-c14n.pom %{name}-c14n.jar
install -pm 644 modules/axiom-dom/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-dom.pom
%add_maven_depmap JPP-%{name}-dom.pom %{name}-dom.jar
install -pm 644 modules/axiom-impl/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl.pom
%add_maven_depmap JPP-%{name}-impl.pom %{name}-impl.jar
install -pm 644 modules/axiom-integration/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-integration.pom
%add_maven_depmap JPP-%{name}-integration.pom %{name}-integration.jar
install -pm 644 modules/axiom-tests/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-tests.pom
%add_maven_depmap JPP-%{name}-tests.pom %{name}-tests.jar

mkdir -p  %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-api-tests.jar
%{_javadir}/%{name}-api.jar
%{_javadir}/%{name}-c14n.jar
%{_javadir}/%{name}-dom-tests.jar
%{_javadir}/%{name}-dom.jar
%{_javadir}/%{name}-impl-tests.jar
%{_javadir}/%{name}-impl.jar
%{_javadir}/%{name}-integration.jar
%{_javadir}/%{name}-tests.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 1.2.8-1.mga2
+ Revision: 173961
- imported package ws-commons-axiom

